You cannot select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
openwrt/target/linux/s3c24xx/patches-2.6.26/1065-local-build-scripts.pa...

54 lines
1.3 KiB
Diff

From bd559c9f37baa73f7220b8158909ce6d7264d4d3 Mon Sep 17 00:00:00 2001
From: warmcat <andy@warmcat.com>
Date: Fri, 25 Jul 2008 23:05:59 +0100
Subject: [PATCH] local-build-scripts.patch
Add a couple of handy scripts to crossmake and send over dfu
From: warmcat <andy@warmcat.com>
---
build | 14 ++++++++++++++
dfu-kern | 9 +++++++++
2 files changed, 23 insertions(+), 0 deletions(-)
create mode 100755 build
create mode 100755 dfu-kern
diff --git a/build b/build
new file mode 100755
index 0000000..7e61ea2
--- /dev/null
+++ b/build
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -x
+
+export CROSS_COMPILE=../../cross/bin/arm-angstrom-linux-gnueabi-
+make ARCH=arm silentoldconfig
+if make -j5 ARCH=arm; then
+ ${CROSS_COMPILE}objcopy -O binary -R .note -R .comment -S arch/arm/boot/compressed/vmlinux linux.bin
+ mkimage -A arm -O linux -T kernel -C none -a 30008000 -e 30008000 -n "OpenMoko Kernel Image Neo1973(GTA02)" -d linux.bin uImage.bin
+ exit 0
+else
+ exit 1
+fi
+
diff --git a/dfu-kern b/dfu-kern
new file mode 100755
index 0000000..990abdd
--- /dev/null
+++ b/dfu-kern
@@ -0,0 +1,9 @@
+#!/bin/bash
+../../dfu-util/src/dfu-util -a 3 -d 0x1457:0x5119 -D uImage.bin
+if [ $? -eq 1 ] ; then
+../../dfu-util/src/dfu-util -a 3 -d 0x1457:0x5120 -D uImage.bin
+../../dfu-util/src/dfu-util -a 3 -d 0x1457:0x5119 -D uImage.bin
+
+fi
+
+
--
1.5.6.3